Don't use test -e in tests - sh doesn't like it on Solaris
authorAlexis S. L. Carvalho <alexis@cecm.usp.br>
Wed, 18 Oct 2006 18:47:50 -0300
changeset 3469 33b6c8193652
parent 3468 5155fa27f514
child 3470 c6773b7ebee8
Don't use test -e in tests - sh doesn't like it on Solaris
tests/test-acl
tests/test-bad-pull
tests/test-empty-dir
tests/test-static-http
--- a/tests/test-acl	Wed Oct 18 18:44:23 2006 -0300
+++ b/tests/test-acl	Wed Oct 18 18:47:50 2006 -0300
@@ -9,7 +9,7 @@
     echo 'hgrc = """'
     sed -e 1,2d b/.hg/hgrc
     echo '"""'
-    if [ -e acl.config ]; then
+    if test -f acl.config; then
 	echo 'acl.config = """'
 	cat acl.config
 	echo '"""'
--- a/tests/test-bad-pull	Wed Oct 18 18:44:23 2006 -0300
+++ b/tests/test-bad-pull	Wed Oct 18 18:47:50 2006 -0300
@@ -2,7 +2,7 @@
 
 hg clone http://localhost:20059/ copy
 echo $?
-test -e copy || echo copy: No such file or directory
+test -d copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
 import BaseHTTPServer, SimpleHTTPServer, signal
--- a/tests/test-empty-dir	Wed Oct 18 18:44:23 2006 -0300
+++ b/tests/test-empty-dir	Wed Oct 18 18:47:50 2006 -0300
@@ -11,6 +11,6 @@
 cat sub/b
 hg co 0
 cat sub/b 2>/dev/null || echo "sub/b not present"
-test -e sub || echo "sub not present"
+test -d sub || echo "sub not present"
 
 true
--- a/tests/test-static-http	Wed Oct 18 18:44:23 2006 -0300
+++ b/tests/test-static-http	Wed Oct 18 18:47:50 2006 -0300
@@ -2,7 +2,7 @@
 
 http_proxy= hg clone static-http://localhost:20059/ copy
 echo $?
-test -e copy || echo copy: No such file or directory
+test -d copy || echo copy: No such file or directory
 
 # This server doesn't do range requests so it's basically only good for
 # one pull